Index: code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc	(revision 9553)
+++ code/branches/core6/src/modules/gametypes/RaceCheckPoint.cc	(revision 9554)
@@ -157,5 +157,5 @@
         if (players_.size() > 0)
         {
-            for (int i = 0; i < players_.size(); i++)
+            for (size_t i = 0; i < players_.size(); i++)
             {
                 if (this->players_[i]->getClientID() == clientID)
@@ -172,5 +172,5 @@
         if (players_.size() > 0)
         {
-            for (int i = 0; i < players_.size(); i++)
+            for (size_t i = 0; i < players_.size(); i++)
             {
                 if (this->players_[i] == player)
Index: code/branches/core6/src/modules/gametypes/RaceCheckPoint.h
===================================================================
--- code/branches/core6/src/modules/gametypes/RaceCheckPoint.h	(revision 9553)
+++ code/branches/core6/src/modules/gametypes/RaceCheckPoint.h	(revision 9554)
@@ -70,5 +70,5 @@
             }
 
-            const std::set<int>& getNextCheckpoints()
+            std::set<int> getNextCheckpoints()
             {
                 return nextCheckpoints_;
Index: code/branches/core6/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/core6/src/modules/gametypes/SpaceRaceController.cc	(revision 9553)
+++ code/branches/core6/src/modules/gametypes/SpaceRaceController.cc	(revision 9554)
@@ -86,5 +86,5 @@
 
         }//ausgabe*/
-
+        /*
         for (std::vector<RaceCheckPoint*>::iterator it = checkpoints.begin(); it != checkpoints.end(); ++it)
         {
@@ -100,5 +100,7 @@
                 }
             }
-        }/*
+        }
+        */
+        /*
         for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
         {
@@ -301,6 +303,6 @@
     {
         for (size_t i = 0; i < this->checkpoints_.size(); ++i)
-        if (this->checkpoints_[i]->getCheckpointIndex() == index)
-        return this->checkpoints_[i];
+            if (this->checkpoints_[i]->getCheckpointIndex() == index)
+                return this->checkpoints_[i];
         return NULL;
     }
@@ -340,8 +342,8 @@
         //orxout()<<"temp nach ausgabe: "<<previousCheckpoint->getVirtualNextCheckpointsAsVector3().x<<previousCheckpoint->getVirtualNextCheckpointsAsVector3().y<<previousCheckpoint->getVirtualNextCheckpointsAsVector3().z<<endl;
         //OrxAssert(virtualCheckPointIndex < -1, "TO much virtual cp");
-        /*orxout()<<"id: "<< previousCheckpoint->getCheckpointIndex() <<", following:"<<indexFollowingCheckPoint<<" :       "<<temp.x<<", "<<temp.y<<", "<<temp.z<<";       ";
+        orxout()<<"id: "<< previousCheckpoint->getCheckpointIndex() <<", following:"<<indexFollowingCheckPoint<<" :       "<<temp.x<<", "<<temp.y<<", "<<temp.z<<";       ";
          temp=previousCheckpoint->getNextCheckpointsAsVector3();
          orxout()<<"id: "<< previousCheckpoint->getCheckpointIndex() <<":       "<<temp.x<<", "<<temp.y<<", "<<temp.z<<";       ";
-         orxout()<<endl;*//*
+         orxout()<<endl;
         return newTempRaceCheckPoint;
     }*/
Index: code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9553)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9554)
@@ -98,10 +98,4 @@
 
         this->setSyncMode(ObjectDirection::Bidirectional); // needed to synchronise e.g. aimposition
-
-        /* sewper awesome optimization. This loads all the files required for
-         * the big explosion once in the beginning to make sure the game does
-         * not start lagging at the first in-action explosion.
-         */
-        BigExplosion *chunk = new BigExplosion(this->getCreator());
     }
 
